SurfaceDraftAnglePoint

Returns the surface draft angle and point at a parameter.

Syntax

Rhino.SurfaceDraftAnglePoint (strObject, arrParameter, dblAngle [, arrDirection [, blnEdge]])

Parameters

strObject

Required.  String.  The surface object's identifier.

arrParameter

Required.  Array.  The u,v surface parameter to evaluate.

dblAngle

Required.  Number.  The angle in degrees to test.

arrDirection

Optional.  Array.  The direction vector. If omitted, world z-axis is used.

blnEdge

Optional.  Boolean.  Restricts the point placement to an edge. The default value is False, or not to restrict point placement to an edge.

Returns

Array

Array containing two elements: (0) the draft angle point and (1) the angle, if successful.

Null

If not successful, or on error.

Example

Sub TestSurfaceDraftAnglePoint()

  Const rhSrf = 8

  Dim pick, srf, srf_pt, srf_t, pt

  pick = Rhino.GetObjectEx("Select surface object", rhSrf)

  If IsArray(pick) Then

    srf = pick(0)

    srf_pt = pick(3)

    srf_t = Rhino.SurfaceClosestPoint(srf, srf_pt)

    pt = Rhino.SurfaceDraftAnglePoint(srf, srf_t, 10.0)

    If IsArray(pt) Then Call Rhino.AddPoint(pt(0))

  End If    

End Sub

Also See

OffsetCurve